
export default {
  // 授课老师首页数据
  teacherIndex: "/api_html/teaching/index",
  // 学校管理员首页数据
  schoolIndex: "/api_html/school/manager/index",
  // 学校管理员首页数据
  tenantIndex: "/api_html/tenant/index",
  // 班主任首页数据
  classIndex: "/api_html/class/manager/index",
  //班主任-查询管理的班级
  cTClassList: "/api_html/class/manager/classList",
  //班主任-查询管理班级授课科目
  cTSubjectList: "/api_html/class/manager/subjectList",
  //班主任-查询阶段问答报表
  cTPhaseAnswerReport: "/api_html/class/manager/phaseAnswerReport",
  //班主任-查询阶段互动报表
  cTPhaseInteractiveReport: "/api_html/class/manager/phaseInteractiveReport",
  //班主任-查询阶段测练报表
  cTPhaseExamReport: "/api_html/class/manager/phaseExamReport",
  //班主任-导出阶段问答报表
  cTExportPhaseAnswerReport: "/api_html/class/manager/exportPhaseAnswerReport",
  //班主任- 导出阶段互动报表
  cTExportPhaseInteractiveReport: "/api_html/class/manager/exportPhaseInteractiveReport",
  //班主任- 导出阶段测练报表
  cTExportPhaseExamReport: "/api_html/class/manager/exportPhaseExamReport",

  //任课老师-查询管理班级
  tClassList: "/api_html/teaching/classList",
  //任课老师-查询管理班级授课科目
  tSubjectList: "/api_html/teaching/subjectList",
  //任课老师-分页查询课时报表列表
  periodReportList: "/api_html/teaching/periodReportList",
  //任课老师-查询阶段问答报表
  phaseAnswerReport: "/api_html/teaching/phaseAnswerReport",
  //任课老师-查询阶段互动报表
  phaseInteractiveReport: "/api_html/teaching/phaseInteractiveReport",
  //任课老师-查询课时题目列表
  periodQuestionList: "/api_html/teaching/periodQuestionList",
  //任课老师-设置课时报表答案
  setPeriodAnswer: "/api_html/teaching/setPeriodAnswer",
  //任课老师-查询课时报表详情
  periodDetail: "/api_html/teaching/periodDetail",
  //任课老师-分页查询课时题目统计列表
  periodQuestionReport: "/api_html/teaching/periodQuestionReport",
  //任课老师-查询课时学生答题明细
  periodStudentReport: "/api_html/teaching/periodStudentReport",
  //任课老师-分页查询即时测报表
  examReportList: "/api_html/teaching/examReportList",
  //任课老师-查询阶段测练报表
  phaseExamReport: "/api_html/teaching/phaseExamReport",
  //任课老师-查询即时测报表题目列表
  examQuestionList: "/api_html/teaching/examQuestionList",
  //任课老师-设置即时测报表答案
  setExamAnswer: "/api_html/teaching/setExamAnswer",
  //任课老师-查询即时测报表详情
  examDetail: "/api_html/teaching/examDetail",
  //任课老师-下载导入主观题分模板
  subjectiveScoreTemplate: "/api_html/teaching/subjectiveScoreTemplate",
  //任课老师-导入主观题得分
  importSubjectiveScore: "/api_html/teaching/importSubjectiveScore",
  //任课老师-分页查询即时测题目统计
  examQuestionReport: "/api_html/teaching/examQuestionReport",
  //任课老师-查询即时测学生统计
  examStudentReport: "/api_html/teaching/examStudentReport",
  //任课老师-重新判分
  reScore: "/api_html/teaching/reScore",
  //任课老师-数据导出
  exportData: "/api_html/teaching/exportData",
  //任课老师-数据导入
  importData: "/api_html/teaching/importData",
  //任课老师-导出阶段问答报表
  exportPhaseAnswerReport: "/api_html/teaching/exportPhaseAnswerReport",
  //任课老师-导出阶段互动报表
  exportPhaseInteractiveReport: "/api_html/teaching/exportPhaseInteractiveReport",
  //任课老师-导出单课时报表
  exportPeriodReport: "/api_html/teaching/exportPeriodReport",
  //任课老师-导出阶段测练报表
  exportPhaseExamReport: "/api_html/teaching/exportPhaseExamReport",
  //任课老师-导出单卷测练报表
  exportExamReport: "/api_html/teaching/exportExamReport",
  //任课老师-查询学生列表
  tStudentList: "/api_html/teaching/studentList",
  //任课老师-学生测练统计
  tStudentExamReport: "/api_html/teaching/studentExamReport",


  // 查询角色列表
  roleList: "/api_html/school/manager/roleList",
  //  分页查询账号
  userPage: "/api_html/school/manager/userPage",
  // 修改账号 禁用账号、修改账号密码等
  updateUser: "/api_html/school/manager/updateUser",
  // 查询学校详情
  schoolDetail: "/api_html/school/manager/schoolDetail",
  // 修改学校信息
  updateSchool: "/api_html/school/manager/updateSchool",
  // 学校年级管理
  gradeList: "/api_html/school/manager/gradeList",
  // 查询学校所有科目
  subjectList: "/api_html/school/manager/subjectList",
  // 删除科目
  delSubject: "/api_html/school/manager/delSubject",
  //  修改年级信息
  updateGrade: "/api_html/school/manager/updateGrade",
  //  查询学校班级列表
  classList: "/api_html/school/manager/classList",
  //  查询学生列表
  studentList: "/api_html/school/manager/studentList",
  //  修改班级信息
  updateClass: "/api_html/school/manager/updateClass",
  //  增加学生
  addStudent: "/api_html/school/manager/addStudent",
  //  导入学生答题器绑定模板下载地址
  studentClickerTemplateUrl: "/api_html/school/manager/studentClickerTemplateUrl",
  //  导入学生答题器文件上传
  importStudentClicker: "/api_html/school/manager/importStudentClicker",
  //  班级名册模板下载
  classAndStudentTemplate: "/api_html/school/manager/classAndStudentTemplate",
  //  班级名册导出
  exportClassAndStudent: "/api_html/school/manager/exportClassAndStudent",
  //  教师模板下载
  teacherTemplate: "/api_html/school/manager/teacherTemplate",
  //  教师导入
  importTeacher: "/api_html/school/manager/importTeacher",
  //  教师导出
  exportTeacher: "/api_html/school/manager/exportTeacher",

  //  删除学生
  delStudent: "/api_html/school/manager/delStudent",
  //  查询学校教师列表
  teacherList: "/api_html/school/manager/teacherList",
  //  新增教师
  addTeacher: "/api_html/school/manager/addTeacher",
  //  修改教师信息
  updateTeacher: "/api_html/school/manager/updateTeacher",
  //  删除教师管理班级或年级
  delTeacherManager: "/api_html/school/manager/delTeacherManager",
  //  查询基站统计数据
  stationReport: "/api_html/school/manager/stationReport",
  //  查询答题器统计数据
  keyboardReport: "/api_html/school/manager/keyboardReport",
  //  分页查询设备列表
  deviceList: "/api_html/school/manager/deviceList",
  //  导出设备列表
  exportDevice: "/api_html/school/manager/exportDevice",
  //  查询设备详情
  deviceDetail: "/api_html/school/manager/deviceDetail",
  //  分页查询设备日志列表
  deviceLogList: "/api_html/school/manager/deviceLogList",
  //   修改设备自动升级状态
  modifyUpgradeFlag: "/api_html/school/manager/modifyUpgradeFlag",
  //   设备自动升级状态(全部)
  modifyUpgradeFlagBySchool: "/api_html/school/manager/modifyUpgradeFlagBySchool",
  //   修改基站信息
  updateDevice: "/api_html/school/manager/updateDevice",
  //   新增基站
  addStation: "/api_html/school/manager/addStation",
  //   导入基站模板下载老地址
  stationTemplateUrl: "/api_html/school/manager/stationTemplateUrl",
  //   导入基站模板下载新地址
  stationTemplate: "/api_html/school/manager/stationTemplate",
  //   查询下载配置列表
  appConfigList: "/api_html/school/manager/appConfigList",
  //   查询最新的授课端应用版本
  latestVersion: "/api_html/school/manager/latestVersion",
  //   下载指定配置的最新版本授课端
  getAppDownloadUrl: "/api_html/school/manager/getAppDownloadUrl",
  //   新增授课端应用配置
  addAppConfig: "/api_html/school/manager/addAppConfig",
  //    修改授课端应用配置
  updateAppConfig: "/api_html/school/manager/updateAppConfig",
  //    设备使用分析
  usageAnalysis: "/api_html/school/manager/usageAnalysis",
  // 发卡记录
  cardList: "/api_html/school/manager/clickersLogList",
  // 导出设备使用分析
  exportUsageAnalysis: "/api_html/school/manager/exportUsageAnalysis",
  // 发卡应用下载
  latestClickersApp: "/api_html/school/manager/latestClickersApp",
  // 发卡导出
  exportClickersLog: "/api_html/school/manager/exportClickersLog",
  /*v1.3*/
  // 班级归档
  classArchiving: "/api_html/school/manager/classArchiving",
  // 查询学校已归档班级列表
  archivingClassList: "/api_html/school/manager/archivingClassList",
  // 学生换班
  studentChangeClass: "/api_html/school/manager/studentChangeClass",
  // 升级年级
  upgradeGrade: "/api_html/school/manager/upgradeGrade",
  // 学校学段
  sectionList: "/api_html/school/manager/sectionList",


  // 查询区域列表
  regionList: "/api_html/tenant/regionList",
  // 查询学校列表
  schoolList: "/api_html/tenant/schoolList",
  // 新增或修改区域
  saveRegion: "/api_html/tenant/saveRegion",
  // 新增或修改学校
  saveSchool: "/api_html/tenant/saveSchool",
  // 删除学校
  removeSchool: "/api_html/tenant/delSchool",
  // 新增学校管理员
  addSchoolManager: "/api_html/tenant/addSchoolManager",
  // 查询角色列表
  tenantRoleList: "/api_html/tenant/roleList",
  // 账号列表
  tenantUserPage: "/api_html/tenant/userPage",
  // 新增账号
  addUser: "/api_html/tenant/addUser",
  // 禁用账号、修改账号密码等
  tenantUpdateUser: "/api_html/tenant/updateUser",
  // 查询基站统计数据
  tenantStationReport: "/api_html/tenant/stationReport",
  // 查询答题器统计数据
  tenantKeyboardReport: "/api_html/tenant/keyboardReport",
  // 分页查询设备列表
  tenantDeviceList: "/api_html/tenant/deviceList",
  // 查询学校年级
  tenantGradeList: "/api_html/tenant/gradeList",
  // 查询学校班级
  tenantClassList: "/api_html/tenant/classList",

  //  学校使用对比
  schoolContrast: "/api_html/tenant/schoolContrast",
  //  年级使用对比
  gradeContrast: "/api_html/tenant/gradeContrast",
  //  导出学校使用对比
  exportSchoolContrast: "/api_html/tenant/exportSchoolContrast",
  //  导出年级使用对比
  exportGradeContrast: "/api_html/tenant/exportGradeContrast",
  //  同步教师账号
  syncUser: "/api_html/tenant/syncUser",
  //  导出设备列表
  tenantExportDevice: "/api_html/tenant/exportDevice",


  // 个人版首页统计数据
  personalIndex: "/api_html/personal/index",
  // 个人信息
  getInfo: "/api_html/personal/personalInfo",
  // 修改个人信息
  modifyInfo: "/api_html/personal/modifyInfo",
  //  查询班级列表
  pClassList: "/api_html/personal/classList",
  //  查询科目列表
  pSubjectList: "/api_html/personal/subjectList",
  //  查询学生列表
  pStudentList: "/api_html/personal/studentList",
  //  新增或修改班级
  pSaveClass: "/api_html/personal/saveClass",
  //  删除班级
  pDelClass: "/api_html/personal/delClass",
  //  增加学生
  pAddStudent: "/api_html/personal/addStudent",
  //  删除学生
  pDelStudent: "/api_html/personal/delStudent",
  //  查询答题卡类型列表
  pPaperTagList: "/api_html/personal/paperTagList",
  //  查询答题卡列表
  pPaperList: "/api_html/personal/paperList",
  //  查询答题卡详情
  pPaperDetail: "/api_html/personal/paperDetail",
  //  增加答题卡
  pAddPaper: "/api_html/personal/addPaper",
  //  修改答题卡
  pModifyPaper: "/api_html/personal/modifyPaper",
  //  删除答题卡
  pDelPaper: "/api_html/personal/delPaper",
  //  增加答题卡类型
  pAddPaperType: "/api_html/personal/addPaperType",
  //  修改答题卡类型
  pModifyPaperType: "/api_html/personal/modifyPaperType",
  //  删除答题卡类型
  pDelPaperType: "/api_html/personal/delPaperType",
  //  分页查询课时报表列表
  pPeriodReportList: "/api_html/personal/periodReportList",
  //  查询阶段问答报表
  pPhaseAnswerReport: "/api_html/personal/phaseAnswerReport",
  //  查询阶段互动报表
  pPhaseInteractiveReport: "/api_html/personal/phaseInteractiveReport",
  //  查询课时题目列表
  pPeriodQuestionList: "/api_html/personal/periodQuestionList",
  //  设置课时报表答案
  pSetPeriodAnswer: "/api_html/personal/setPeriodAnswer",
  //  查询课时报表详情
  pPeriodDetail: "/api_html/personal/periodDetail",
  //  分页查询课时题目统计列表
  pPeriodQuestionReport: "/api_html/personal/periodQuestionReport",
  //  查询课时学生答题明细
  pPeriodStudentReport: "/api_html/personal/periodStudentReport",
  //  导出阶段报表
  pExportPhaseReport: "/api_html/personal/exportPhaseReport",
  //  分页查询即时测报表
  pExamReportList: "/api_html/personal/examReportList",
  //  查询阶段测练报表
  pPhaseExamReport: "/api_html/personal/phaseExamReport",
  //  查询即时测报表题目列表
  pExamQuestionList: "/api_html/personal/examQuestionList",
  //  设置即时测报表答案
  pSetExamAnswer: "/api_html/personal/setExamAnswer",
  //  查询即时测报表详情
  pExamDetail: "/api_html/personal/examDetail",
  //  下载导入主观题分模板
  pSubjectiveScoreTemplate: "/api_html/personal/subjectiveScoreTemplate",
  //  导入主观题得分
  pImportSubjectiveScore: "/api_html/personal/importSubjectiveScore",
  //  分页查询即时测题目统计
  pExamQuestionReport: "/api_html/personal/examQuestionReport",
  //  查询即时测学生统计
  pExamStudentReport: "/api_html/personal/examStudentReport",
  //  重新判分
  pReScore: "/api_html/personal/reScore",
  //  导出单课时报表
  pExportPeriodReport: "/api_html/personal/exportPeriodReport",
  //  导出阶段测练报表
  pExportPhaseExamReport: "/api_html/personal/exportPhaseExamReport",
  //  导出单卷测练报表
  pExportExamReport: "/api_html/personal/exportExamReport",
  //   数据导出
  pExportData: "/api_html/personal/exportData",
  //  数据导入
  pImportData: "/api_html/personal/importData",


  /** 平台管理 */
  //账户管理
  tenantPage: "/api_html/system/tenantPage",
  //修改账号
  updateTenant: "/api_html/system/updateTenant",
  //新增租户账号
  addTenant: "/api_html/system/addTenant",
  // 授课端版本管理
  versionPage: "/api_html/system/versionPage",
  // 新增授课端版本
  addVersion: "/api_html/system/addVersion",
  // 删除授课端版本
  delVersion: "/api_html/system/delVersion",
  // 基站统计数据
  pStationReport: "/api_html/system/stationReport",
  // 答题器统计数据
  pKeyboardReport: "/api_html/system/keyboardReport",
  // 查询设备列表
  pDeviceList: "/api_html/system/deviceList",
  // 查询设备详情
  pDeviceDetail: "/api_html/system/deviceDetail",
  // 查询设备日志列表
  pDeviceLogList: "/api_html/system/deviceLogList",
  // 文件上传
  uploadApp: "/file/uploadApp",
  // 图片上传
  uploadImg: "/file/uploadImg",
  // 班级名册导入
  studentTemplateUrl: "/api_html/personal/studentTemplateUrl",
  // 班级名册导出
  exportStudent: "/api_html/personal/exportStudent",
  // 学生测练统计
  pStudentExamReport: "/api_html/personal/studentExamReport",
  //   查询最新的授课端应用版本
  pLatestVersion: "/api_html/personal/latestVersion",
  //   载指定版本授课端
  pGetAppDownloadUrl: "/api_html/personal/getAppDownloadUrl",


  //   修改密码
  changePwd: "/api_html/changePwd",


  /**
   * v1.4
   */
  //班级管理
  classManager: "/api_html/school/manager/classManager",
  //班级排序
  classSort: "/api_html/school/manager/classSort",
  //学生分班轨迹
  studentClassLogs: "/api_html/school/manager/studentClassLogs",
  //修改科目
  updateSubject: "/api_html/school/manager/updateSubject",
  //.net下载地址
  runtimeEnvFileUrl: "/api_html/school/manager/runtimeEnvFileUrl",
  //学校学段及年级
  sectionAndGradeList: "/api_html/school/manager/sectionAndGradeList",
  //学校设备使用分析
  usageStatistics: "/api_html/school/manager/usageStatistics",
  //集团设备使用分析
  tenantUsageStatistics: "/api_html/tenant/usageStatistics",
  //集团学段及年级
  tenantSectionAndGradeList: "/api_html/tenant/sectionAndGradeList",
  //集团查询科目列表
  tenantSubjectList: "/api_html/tenant/subjectList",
  //未分班学生名单导出
  exportNoClassStudent: "/api_html/school/manager/exportNoClassStudent",
  //未分班教师名单导出
  exportNoClassTeacher: "/api_html/school/manager/exportNoClassTeacher",
  //学校查询异常设备总数
  abnormalDeviceCount: "/api_html/school/manager/abnormalDeviceCount",
  //集团查询异常设备总数
  tenantAbnormalDeviceCount: "/api_html/tenant/abnormalDeviceCount",
  //设备异常备注
  abnormalRemark: "/api_html/school/manager/abnormalRemark",

  //  删除班级信息
  removeClass: "/api_html/school/manager/delClass",
}
